<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for LeaseJournalEntryDetail StructType
 * @subpackage Structs
 */
class LeaseJournalEntryDetail extends LeaseLedgerItem
{
    /**
     * The journalEntry
     * Meta information extracted from the WSDL
     * - nillable: true
     * @var \StructType\LeaseJournalEntry
     */
    public $journalEntry;
    /**
     * Constructor method for LeaseJournalEntryDetail
     * @uses LeaseJournalEntryDetail::setJournalEntry()
     * @param \StructType\LeaseJournalEntry $journalEntry
     */
    public function __construct(\StructType\LeaseJournalEntry $journalEntry = null)
    {
        $this
            ->setJournalEntry($journalEntry);
    }
    /**
     * Get journalEntry value
     * @return \StructType\LeaseJournalEntry|null
     */
    public function getJournalEntry()
    {
        return $this->journalEntry;
    }
    /**
     * Set journalEntry value
     * @param \StructType\LeaseJournalEntry $journalEntry
     * @return \StructType\LeaseJournalEntryDetail
     */
    public function setJournalEntry(\StructType\LeaseJournalEntry $journalEntry = null)
    {
        $this->journalEntry = $journalEntry;
        return $this;
    }
}
